#include "testlib.h"
#include <cmath>
using namespace std;

typedef long long ll;

ll MAXN = 300'000;
ll MAXD = (int)1e9;
ll MAXL = MAXN * MAXD;

int main(int argc, char **argv)
{
    registerValidation(argc, argv);
    int g = validator.group() == "" ? 5 : validator.group()[0] - '0';

    if (g == 1) { MAXN = 500; }
    if (g == 2) { MAXN = 5'000; }

    ll L = inf.readLong(1, MAXL, "L");
    inf.readSpace();
    ll R = inf.readLong(L, MAXL, "R");
    inf.readEoln();

    int n = inf.readInt(1, MAXN, "n");
    inf.readEoln();

    inf.readInts(n, 1, MAXD, "a");
    inf.readEoln();

    inf.readEof();

    return 0;
}
