def generate_crossroad(n, l):
    crossroad = [['.' for _ in range(n)] for _ in range(n)]
    
    start = (n - l) // 2
    end = start + l
    
    for i in range(n):
        for j in range(n):
            if i >= start and i < end:
                crossroad[i][j] = '*'
            if j >= start and j < end:
                crossroad[i][j] = '*'
    
    return crossroad

def print_crossroad(crossroad):
    for row in crossroad:
        print(''.join(row))

n = int(input())
l = int(input())

crossroad = generate_crossroad(n, l)
print_crossroad(crossroad)